using Pilz.Data;

namespace Pilz.Net.Api.Client;

public interface IBaseChildItemClient<T> : IBaseClient<T> where T : IDataObject
{
    Task<IEnumerable<T>> GetAll(int parentId);
    Task<IEnumerable<T>> GetAll(int parentId, int offset, int count);
    Task<T> Save(T item, int parentId);
}
